FROM php:7.3.5-cli-stretch
RUN docker-php-ext-install mysqli && docker-php-ext-enable mysqli

ENV MUSTER_SITE_URL="" \
    MUSTER_DATABASE_HOST="" \
    MUSTER_DATABASE_USERNAME="" \
    MUSTER_DATABASE_PASSWORD="" \
    MUSTER_DATABASE_NAME="" \
    MUSTER_EMAIL_FROM="" \
    MUSTER_SMTP_SERVER="" \
    MUSTER_SMTP_USERNAME="" \
    MUSTER_SMTP_PASSWORD="" \
    MUSTER_SMTP_PORT="25" \
    MUSTER_SMTP_USE_TLS="false" \
    PORT=80

WORKDIR /app
COPY src/api .
COPY dockerfiles/muster-backend/settings.php .
CMD php -S 0.0.0.0:$PORT
EXPOSE $PORT
